Libvirt-functions: Difference between revisions
Jump to navigation
Jump to search
No edit summary |
(→Usage) |
||
(6 intermediate revisions by the same user not shown) | |||
Line 6: | Line 6: | ||
A project that offers common bash functions associated with managing virtual machines with [[Linux_Virtualization_Concepts#libvirtd|libvirt]]. | A project that offers common bash functions associated with managing virtual machines with [[Linux_Virtualization_Concepts#libvirtd|libvirt]]. | ||
=GitHub= | =GitHub= | ||
{{External|https://github.com/NovaOrdis/ | {{External|https://github.com/NovaOrdis/libvirt-functions}} | ||
=Usage= | =Usage= | ||
Copy <tt></tt> in the bin directory and refer it as following: | ==envc== | ||
Environment Control. | |||
Usage: | |||
envc <command> [command-options] | |||
Commands: | |||
start [vmid] | |||
Starts the virtual machine specified by the ID, or the entire environment, if vmid is not specified. | |||
When the entire environment is started, the startup sequence is phased: the dependencies are started | |||
first, and the dependents are started after their dependencies. | |||
stop [vmid] | |||
Stops (shuts down) the virtual machine specified by the ID, or the entire environment, if vmid is not | |||
specified. When the entire environment is stopped, the shutdown sequence is phased: the dependents are | |||
stopped first, and the dependencies are stopped after their dependents. | |||
status [vmid] | |||
snapshot <snapshot_tag> [vmid] | |||
list-snapshots [vmid] | |||
restore <snapshot_tag> [vmid] | |||
remove-snapshot <snapshot_tag> [vmid] | |||
==libvirt-functions== | |||
Copy <tt>libvirt-functions</tt> in the bin directory and refer it as following: | |||
[ -f $(dirname $0)/ | [ -f $(dirname $0)/libvirt-functions ] && . $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; } |
Latest revision as of 03:35, 5 July 2017
Internal
Overview
A project that offers common bash functions associated with managing virtual machines with libvirt.
GitHub
Usage
envc
Environment Control. Usage: envc <command> [command-options] Commands: start [vmid] Starts the virtual machine specified by the ID, or the entire environment, if vmid is not specified. When the entire environment is started, the startup sequence is phased: the dependencies are started first, and the dependents are started after their dependencies. stop [vmid] Stops (shuts down) the virtual machine specified by the ID, or the entire environment, if vmid is not specified. When the entire environment is stopped, the shutdown sequence is phased: the dependents are stopped first, and the dependencies are stopped after their dependents. status [vmid] snapshot <snapshot_tag> [vmid] list-snapshots [vmid] restore <snapshot_tag> [vmid] remove-snapshot <snapshot_tag> [vmid]
libvirt-functions
Copy libvirt-functions in the bin directory and refer it as following:
[ -f $(dirname $0)/libvirt-functions ] && . $(dirname $0)/libvirt-functions || { echo "$(dirname $0)/libvirt-functions not found" 1>&2; exit 1; }